module.exports = {
  collectCoverage: true,

  collectCoverageFrom: [
    'src/**/*.{ts,vue}',
    '!src/main.ts', // No need to cover bootstrap file
  ],

  coverageDirectory: '<rootDir>/tests/coverage',

  moduleFileExtensions: [
    'js',
    'jsx',
    'json',
    'vue',
    'ts',
    'tsx',
  ],

  transform: {
    '^.+\\.vue$': 'vue-jest',
    '.+\\.(css|styl|less|sass|scss|svg|png|jpg|ttf|woff|woff2)$': 'jest-transform-stub',
    '^.+\\.jsx?$': 'babel-jest',
    '^.+\\.tsx?$': 'ts-jest',
  },

  transformIgnorePatterns: [
    '/node_modules/(?!lodash-es).+\\.js$',
  ],

  moduleNameMapper: {
    '^@/(.*)$': '<rootDir>/src/$1',
  },

  snapshotSerializers: [
    'jest-serializer-vue',
  ],

  testMatch: [
    '**/tests/unit/**/*.spec.(js|jsx|ts|tsx)|**/__tests__/*.(js|jsx|ts|tsx)',
  ],

  testURL: 'http://localhost/',

  globals: {
    'ts-jest': {
      babelConfig: true,
    },
  },
}
